<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sale_invoice_sub_details', function (Blueprint $table) {
            $table->boolean('sample_collection_status')->default(0)->after('data_referrence_id');
            $table->datetime('sample_collection_datetime')->nullable()->after('data_referrence_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sale_invoice_sub_details', function (Blueprint $table) {
            $table->dropColumn('sample_collection_status');
            $table->dropColumn('sample_collection_datetime');
        });
    }
};
